SalesOS.

Leads

Lead management and conversion

Leads Controller_find All

GET
/api/leads

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
ratingRequiredstring
leadSourceRequiredstring
minScoreRequiredstring
cursorRequiredstring
limitRequiredstring
curl -X GET "https://www.salesos.org/api/api/leads?status=%3Cstring%3E&rating=%3Cstring%3E&leadSource=%3Cstring%3E&minScore=%3Cstring%3E&cursor=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Leads Controller_create

POST
/api/leads

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/leads" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Leads Controller_get Stats

GET
/api/leads/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/leads/stats" \
  -H "Authorization: Bearer <token>"

Leads Controller_find One

GET
/api/leads/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/leads/<string>" \
  -H "Authorization: Bearer <token>"

Leads Controller_update

PATCH
/api/leads/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/leads/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Leads Controller_remove

DELETE
/api/leads/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/leads/<string>" \
  -H "Authorization: Bearer <token>"

Leads Controller_score Lead

POST
/api/leads/{id}/score

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/leads/<string>/score" \
  -H "Authorization: Bearer <token>"

Leads Controller_convert Lead

POST
/api/leads/{id}/convert

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/leads/<string>/convert" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Leads Controller_bulk Update

POST
/api/leads/bulk/update

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/leads/bulk/update" \
  -H "Authorization: Bearer <token>"

Leads Controller_bulk Delete

POST
/api/leads/bulk/delete

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/leads/bulk/delete" \
  -H "Authorization: Bearer <token>"

Leads Controller_bulk Assign

POST
/api/leads/bulk/assign

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/leads/bulk/assign" \
  -H "Authorization: Bearer <token>"